Delete a time entry Run in API Explorer
Ask AI
DELETE
/api/v1/time-entry/{uuid}
curl \
--request DELETE 'https://api.plannrcrm.com/api/v1/time-entry/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"uuid": "918a4ae0-9eca-45dd-a060-f5328ba926d7",
"created_at": "2026-11-13T09:17:52+00:00",
"updated_at": "2026-11-13T09:17:52+00:00",
"name": "Research",
"description": "This is a description.",
"trackable_type": "Client",
"trackable": {
"uuid": "46e3223b-6774-47b4-ba25-99ee68e724a9",
"created_at": "2026-11-13T09:17:52+00:00",
"updated_at": "2026-11-13T09:17:52+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "667fc72f-e9a7-45b0-992e-b1229a1327be",
"created_at": "2026-11-13T09:18:00+00:00",
"updated_at": "2026-11-13T09:18:00+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"start_date": "2026-11-13T08:27:52+00:00",
"end_date": "2026-11-13T08:55:52+00:00",
"is_active": true,
"total_time_in_minutes": 28,
"computed_time_elapsed_in_seconds": 1680,
"account": {
"uuid": "b9b9423b-8024-44fb-9639-9a8d673e66ed",
"created_at": "2026-11-13T09:17:52+00:00",
"updated_at": "2026-11-13T09:17:52+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "667fc72f-e9a7-45b0-992e-b1229a1327be",
"created_at": "2026-11-13T09:18:00+00:00",
"updated_at": "2026-11-13T09:18:00+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
}
}